Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class RuntimeExceptionContainer

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.util.RuntimeExceptionContainer

public class RuntimeExceptionContainer
extends java.lang.RuntimeException

A Runtime Exception Container class.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RuntimeExceptionContainer(java.lang.String msg)` Construct RuntimeExceptionContainer.
`RuntimeExceptionContainer(java.lang.String msg, java.lang.Exception e)` Construct RuntimeExceptionContainer with message.

Method Summary
`void` | `addException(java.lang.Exception e)` Add a Exception to the container.
`boolean` | `containsException(java.lang.Exception e)` Determine if an Exception is in the container.
`void` | `printStackTrace()` Print Stack trace to System.err.
`void` | `printStackTrace(java.io.PrintWriter pw)` Print Stack trace to PrintWriter.
`boolean` | `removeException(java.lang.Exception e)` Removes an Exception from the container.
`java.lang.String` | `toString()` Get Exceptions as string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeExceptionContainer

    public RuntimeExceptionContainer(java.lang.String msg)

  Construct RuntimeExceptionContainer.

  Parameters:
    `msg` - - the Exception message.

### RuntimeExceptionContainer

    public RuntimeExceptionContainer(java.lang.String msg,
                                     java.lang.Exception e)

  Construct RuntimeExceptionContainer with message.

  Parameters:
    `msg` - - the Exception message.
    `e` - - the Exception.

Method Detail

### addException

    public void addException(java.lang.Exception e)

  Add a Exception to the container.

  Parameters:
    `e` - - the Exception.

### removeException

    public boolean removeException(java.lang.Exception e)

  Removes an Exception from the container.

  Parameters:
    `e` - - the Exception.

### containsException

    public boolean containsException(java.lang.Exception e)

  Determine if an Exception is in the container.

  Parameters:
    `e` - - the Exception.

### toString

    public java.lang.String toString()

  Get Exceptions as string.

  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Print Stack trace to System.err.

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Print Stack trace to PrintWriter.

  Parameters:
    `pw` - - the PrintWriter.
  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)